Flarum en Francais

Bonjours a tous
Je suis arrivé a installé flarum mais seulement en Anglais car lorsque j’essaie en fr il y a toujours une erreur .
bref a présent j’ai vu qu’il doit être possible de le mettre en fr via des extensions .
Malheureusement je ne trouve pas des explications en francais pour installer l’extension de la langue ni ou la trouver .
Pouvez vous m’aider svp
Merci

Salut !
Tu as le magasin d’extension Extiverse qui recense tout, voici l’extension FR avec ses instructions. Pour l’installation y’a des précisions dans un thread où je galérais à utiliser composer, je te retrouve ça… ÉDit : c’est là

Slt et déjà merci a toi pour avoir répondu
Mon soucis la langue je comprend qu’il faut utiliser un certain Composer mais quoi je dois installer ce composer sur le server d’abort ou sur un pc client pour envoyer vers le server ???

Le composer est déjà installé sur Yunohost normalement.
Il faut faire des commandes du style :

sudo php7.3 /var/www/flarum/composer.phar XXX

En remplaçant “XXX” par les commandes indiquées dans la documentation Flarum

Est-ce que c’est cette erreur? upgrade after stretch->buster failed · Issue #173 · YunoHost-Apps/flarum_ynh · GitHub
Si non, peux-tu partager le journal d’installation pour que je puisse corriger ça et aider tout le monde ?


Pour info c’est indiqué dans le README de l’app et sur le premier message du forum (ici).

Il y a en effet un soucis, car Flarum est passée en version 1.0 et l’app YunoHost n’est pas encore compatible. L’installation essaie de télécharger la toute dernière version du paquet de langues, qui requiert… la version 1.0. :sweat_smile:

app=flarum
cd /var/www/$app
sudo -u $app php7.3 composer.phar require qiaeru/lang-french:1.10

Si jamais tu as des erreurs de permissions:

chown -R flarum:www-data .composer
chown -R flarum:www-data vendor

Normalement résolu via cette PR: Require specific version for language extensions by tituspijean · Pull Request #174 · YunoHost-Apps/flarum_ynh · GitHub

yunohost app upgrade flarum -u https://github.com/YunoHost-Apps/flarum_ynh/tree/testing

yunohost app install https://github.com/YunoHost-Apps/flarum_ynh/tree/testing

1 Like

#tituspijean j’ai réussi tapant les deux lignes pour la version testing et ensuite tes commandes pour l’upgrade de la version de flarum .
Un grand merci a tous pour l’aide

2 Likes